import order from "../../../utils/controls/order";

export default {

    data(){
        return {
            statusInfo:{},
            statusSpeed:0
        }
    },

    methods:{

        setStatus(item){
            this.setTargetStatus(order.createdOrderStatus(item || {}));
            this.setStatusSpeed(order.createOrderNumberDefaultStatus(item));
        },

        setStatusSpeed(status){
            this.statusSpeed = status - 1;
        },

        setTargetStatus(status){
            this.statusInfo = order.getOrderStatus(status);
        }
    }

}